System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(false) The interface between an HTTP server and the System.Web infrastructure. This class provides an interface between the web server and the System.Web infrastructure.

The web server will create an object derived from HttpWorkerRequest (or its derived class ) which will act as the gateway between the web server and System.Web. The implementation of the various abstract methods in this class should provide access to the incoming request and should provide a mechanism to send back messages back to the HTTP client.

- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int64 To be added To be added: an object of type 'long' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] To be added To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] To be added To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] To be added To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0
- Method
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int64 To be added To be added: an object of type 'long' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` The index is one of the constants defined in this class as the public fields. Returns the value of a known header. The value of the given header on the HTTP request or null if the header value was not set. For example to obtain the value of the Content-Length header, you can use: `string value = worker_request.GetKnownRequestHeader (HttpWorkerRequest.HeaderContentLength);` 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` An HTTP header name. Given a header name, returns an index value for this index. The index of the header or -1 if the header is not known to the runtime. To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` The index of the header (index values are defined in the constant fields of this class). Returns the HTTP header name from an internal index. The HTTP header name. An exception is thrown if an invalid index is passed. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added: an object of type 'string' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added: an object of type 'int' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] Returns the HTTP request body that has been prefetched. The byte array containing the data that has been prefetched. This method should be invoked prior to calling as the web server implementing this class might have loaded some data in advance.

  See also: and .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] To be added To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added: an object of type 'int' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.String `` To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String[][] To be added To be added: an object of type 'String[] []' To be added 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int64 To be added To be added: an object of type 'long' To be added 1.0.5000.0 2.0.0.0
- Method
  System.IntPtr To be added To be added: an object of type 'IntPtr' To be added 1.0.5000.0 2.0.0.0
- Method
  System.IntPtr To be added To be added: an object of type 'IntPtr' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean Whether the incoming HTTP request has a body (for example in a POST). Returns if the HTTP request has a body (for example during a POST request). See also: , and 1.0.5000.0 2.0.0.0
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 20
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 21
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 22
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 23
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 20
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 21
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 10
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 24
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 0
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 1
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 13
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 14
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 11
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 15
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 16
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 17
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 12
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 25
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 2
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 22
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 26
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 18
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 27
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 28
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 29
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 30
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 31
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 32
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 33
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 3
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 19
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 23
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 34
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 4
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 24
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 35
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 37
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 36
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 25
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 26
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 27
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 38
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 5
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 6
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 7
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 39
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 28
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 8
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 9
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 29
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` The buffer where data will be placed. Number of bytes to fill in the buffer. Reads data from the body of the HTTP request. The number of bytes read into the buffer. Implementations of this method should fill up to bytes into the . The implementation should return the number of bytes read into the buffer.

  See also , and

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 2
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 3
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 4
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 0
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 1
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 0
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 40
- Property
  2.0.0.0
  System.Guid To be added. To be added. To be added.
- Field
  System.Int32 To be added To be added 1.0.5000.0 2.0.0.0 30
- Property
  2.0.0.0
  System.String To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'int' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` `` To be added: an object of type 'int' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'IntPtr' To be added: an object of type 'long' To be added: an object of type 'long' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'string' To be added: an object of type 'long' To be added: an object of type 'long' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'IntPtr' To be added: an object of type 'int' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` The HTTP status code. A human readable description of the response. Sends an HTTP status reply back to the client.

  This methods sends the HTTP status response to the client.

  You should call this method before writing any other headers. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'HttpWorkerRequest+EndOfSendNotification' To be added: an object of type 'object' To be added To be added 1.0.5000.0 2.0.0.0